- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::NUM1ParserState Class Reference

`#include <NUM1ParserState.h>`

Inheritance diagram for libetonyek::NUM1ParserState:

## Public Member Functions
| NUM1ParserState (NUM1Parser &parser, NUMCollector &collector, NUM1Dictionary &dict)
NUMCollector & | getCollector ()
NUM1Dictionary & | getDictionary ()
Public Member Functions inherited from libetonyek::IWORKXMLParserState
| IWORKXMLParserState (IWORKParser &parser, IWORKCollector &collector, IWORKDictionary &dict)
IWORKParser & | getParser ()
IWORKDictionary & | getDictionary ()
IWORKCollector & | getCollector () const
const IWORKTokenizer & | getTokenizer () const

## Private Member Functions
| NUM1ParserState (const NUM1ParserState &)
NUM1ParserState & | operator= (const NUM1ParserState &)

## Private Attributes
NUMCollector & | m_collector
NUM1Dictionary & | m_dict

## Additional Inherited Members
Public Attributes inherited from libetonyek::IWORKXMLParserState
IWORKTableDataPtr_t | m_tableData
IWORKStylesheetPtr_t | m_stylesheet
bool | m_enableCollector
IWORKTableNameMapPtr_t | m_tableNameMap
IWORKLanguageManager | m_langManager
boost::shared_ptr< IWORKTable > | m_currentTable
boost::shared_ptr< IWORKText > | m_currentText

## Constructor & Destructor Documentation

libetonyek::NUM1ParserState::NUM1ParserState | ( | const NUM1ParserState & |  | ) |
| private

libetonyek::NUM1ParserState::NUM1ParserState | ( | NUM1Parser & | parser,
|  | NUMCollector & | collector,
|  | NUM1Dictionary & | dict
| ) |  |

## Member Function Documentation

NUMCollector & libetonyek::NUM1ParserState::getCollector | ( |  | ) |

NUM1Dictionary & libetonyek::NUM1ParserState::getDictionary | ( |  | ) |

NUM1ParserState& libetonyek::NUM1ParserState::operator= | ( | const NUM1ParserState & |  | ) |
| private

## Member Data Documentation

NUMCollector& libetonyek::NUM1ParserState::m_collector
| private

Referenced by getCollector().

NUM1Dictionary& libetonyek::NUM1ParserState::m_dict
| private

Referenced by getDictionary().

The documentation for this class was generated from the following files:

- NUM1ParserState.h
- NUM1ParserState.cpp